## ros-indigo-aubo-i5-moveit-config 0.3.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(aubo_i5_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-aubo-i5-moveit-config (0.3.15-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Fri, 31 Mar 2017 07:02:52 -0000

ros-indigo-aubo-i5-moveit-config (0.3.14-0trusty) trusty; urgency=high

  * fixed up aubo_kinematics
  * fixed up aubo_kinematics
  * Contributors: robot
  * fixed up aubo_kinematics
  * Contributors: robot

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Thu, 30 Mar 2017 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.3.13-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 19 Dec 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.3.8-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Wed, 23 Nov 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.3.7-0trusty) trusty; urgency=high

  * indigo-devel relaease version
  * Contributors: robot

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sun, 20 Nov 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.3.6-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Wed, 16 Nov 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.3.5-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Wed, 16 Nov 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.3.3-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Tue, 15 Nov 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.3.1-0trusty) trusty; urgency=high

  * add trajectory filter for moveit plan
  * changlog
  * new version:add aubo_panel,aubo_new_driver
  * Contributors: robot

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Tue, 15 Nov 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.3.0-0trusty) trusty; urgency=high

  * new version:add aubo_panel,aubo_new_driver
  * Contributors: robot

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 14 Nov 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.2.2-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Wed, 26 Oct 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.2.1-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 10 Oct 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.2.0-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 10 Oct 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.1.2-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Thu, 29 Sep 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.1.1-0trusty) trusty; urgency=high

  * update CHANGELOG.rst
  * Contributors: robot

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 19 Sep 2016 16:00:00 -0000

ros-indigo-aubo-i5-moveit-config (0.1.0-0trusty) trusty; urgency=high

  * add CHANGELOG.rst
  * Aubo robotics ROS version 1.0
  * Contributors: robot

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sun, 18 Sep 2016 16:00:00 -0000

=== debian/control ===
Source: ros-indigo-aubo-i5-moveit-config
Section: misc
Priority: extra
Maintainer: MoveIt Setup Assistant <assistant@moveit.ros.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-aubo-description, ros-indigo-catkin
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-indigo-aubo-i5-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-aubo-description, ros-indigo-joint-state-publisher, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-visualization, ros-indigo-robot-state-publisher, ros-indigo-xacro
Description: An automatically generated package with all the configuration and launch files for using the aubo_i5 with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-aubo-i5-moveit-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
